## org.gnu.gtk
Class FileFilterFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.FileFilterFlags

public class FileFilterFlags
extends Flags

Field Summary
`static FileFilterFlags` `DISPLAY_NAME`
`static FileFilterFlags` `FILENAME`
`static FileFilterFlags` `MIME_TYPE`
`static FileFilterFlags` `URI`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`FileFilterFlags` `and(FileFilterFlags other)`
`static FileFilterFlags` `intern(int value)`
`FileFilterFlags` `or(FileFilterFlags other)`
`boolean` `test(FileFilterFlags other)`
`FileFilterFlags` `xor(FileFilterFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME

    public static final FileFilterFlags FILENAME

### URI

    public static final FileFilterFlags URI

### DISPLAY_NAME

    public static final FileFilterFlags DISPLAY_NAME

### MIME_TYPE

    public static final FileFilterFlags MIME_TYPE

Method Detail

### intern

    public static FileFilterFlags intern(int value)

### or

    public FileFilterFlags or(FileFilterFlags other)

### and

    public FileFilterFlags and(FileFilterFlags other)

### xor

    public FileFilterFlags xor(FileFilterFlags other)

### test

    public boolean test(FileFilterFlags other)